package com.persagy.entity;

import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @description: TODO
 * @author:LuoGuangyi
 * @company:PersagyTechnologyCo.,Ltd
 * @since:2021/04/01 09:57
 * @version:V1.0
 **/
@NoArgsConstructor
@Data
@Builder
@Accessors(chain = true)
public class InsertData {
    public String prefix;
    public String building;
    public String meter;
    public Long funcid;
    public Date receivetime;
    public Double data;

    public InsertData(String prefix, String building, String sign, Long funcid, Date receivetime, double data) {
        this.prefix = prefix;
        this.building = building;
        this.meter = sign;
        this.funcid = funcid;
        this.receivetime = receivetime;
        this.data = data;
    }
}